Skip to content
Blacklist

Delete Block Record

Delete Block Record.

Request parameters

  • Required: value (Value), dimension (Dimension)
  • Optional: block_type (Block Type)
  • See each field for its format, allowed values, and business meaning.

Result

On success, the endpoint completes the operation. See the 200 response schema for returned data and subsequent state information.

DELETEhttps://b-api.longbridge.xyz/v2/risk/block_record

Authorization

Authorizationstringheaderlb_hk_credit_limit.credit_block_list_queryRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

valuestringrequired

Value. Specifies Value. This field is required.

dimensionstringrequired

Dimension. Specifies Dimension. This field is required.

block_typenumber

Block Type. Specifies Block Type.

Responses

HTTP 200The request was processed successfully. The response data does not contain additional business fields.
Standard response envelopecodemessagedata
dataobjectdata structure

On success data is an empty object.

No nested fields

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs